Subject: bug#9767: 24.0.90; gdb initialization on Cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 22 Oct 2011 16:58:16 -0400

For the third (and final?) time, I think I've figured out the problem. 
It has nothing to do with emacs or select, but is simply a problem with 
Cygwin's gdb.  When the current Cygwin gdb is given too many input lines 
before having its output read, it sometimes stops producing output and 
waits for the user to press Return.

This is what was happening during the initialization of M-x gdb, and 
that explains why I could work around the problem by inserting 
(sleep-for .1) before the initialization was finished.

I've found a way to reliably reproduce this, and I've reported it to the 
Cygwin list.

I'm not closing this bug report yet because I want to wait and see how 
the Cygwin problem is resolved.  It may still be necessary to use some 
kind of workaround.

Thanks to all who tried to help and who put up with my mistakes and 
misunderstandings.

Ken